Subject: bug#17056: dfa.c patch for systems with no locale support

From: Aharon Robbins <[email-masked]>
Date: Sun, 23 Mar 2014 22:01:17 +0200

Hi Paul.

> Date: Fri, 21 Mar 2014 11:09:15 -0700
> From: Paul Eggert <[email-masked]>
> To: Aharon Robbins <[email-masked]>, [email-masked]
> Subject: Re: bug#17056: dfa.c patch for systems with no locale support
>
> That's odd, as DJGPP has <locale.h> which is supposed to declare 
> setlocale and define LC_ALL, according to 
> <http://www.delorie.com/djgpp/doc/libc/libc_705.html>.  Could you 
> explain what goes wrong?

See the original report below.

> Does the following patch fix the problem?  It should isolate the issue 
> better.

I didn't pass it on, since the failure is on LC_ALL.

Arnold

> Date: Tue, 18 Mar 2014 11:54:54 -0700 (PDT)
> Subject: Re: [gawk-devel] beta tar ball
> To: Aharon Robbins <[email-masked]>
>
> Content-Type: text/plain; charset=iso-8859-1
>
> Aharon,
>
> I tried to compile gawk 4.1.0f with DJGPP and? I got the following:
>
> dfa.c: In function 'using_simple_locale':
> dfa.c:823: error: 'LC_ALL' undeclared (first use in this function)
> dfa.c:823: error: (Each undeclared identifier is reported only once
> dfa.c:823: error: for each function it appears in.)
> dfa.c:823: warning: initialization makes pointer from integer without a cast
> make.exe[1]: *** [dfa.o] Error 1
>
> Any ideas?